require( "scripts/style.lua" );

kButtonSpacing = 50;
kButtonY = 80;

SetState( kPause, true );

MakeDialog
{
	-- Name the modal dialog
	name="pausemenu",
	
	Bitmap
	{
		image="backgrounds/shade",
		alpha = 0.99,
	
	
		Bitmap
		{
			image="backgrounds/dialog",
			x=kCenter,
			y=kCenter,
			
			SetStyle(DialogTitleText),
			Text
			{
				label = "options",
				w = kMax,
				x = 0,
				y = 15,
				flags = kHAlignCenter + kVAlignCenter,
			},
			
			SetStyle(LongButtonStyle),
			ShadowedButton
			{
				x=kCenter,
				y=kButtonY,
				mylabel=GetString("resume"),
				close = true,
				font = StandardButtonFont,
			},
			
			ShadowedButton
			{
				x=kCenter,
				y=kButtonY + (kButtonSpacing),
				mylabel=GetString("options"),
				font = StandardButtonFont,
				command=
					function()
						DisplayDialog{"scripts/customoptions.lua"};
					end
			},

			ShadowedButton
			{
				x=kCenter,
				y=kButtonY + (kButtonSpacing * 2),
				mylabel=GetString("quit"),
				font = StandardButtonFont,
				command=
					function()
						gotoMenu();
					end
			},
		},
	
	},
	PlayPopupSound();
}